DELETE FROM clusterassignment USING ( normalizedcomputeconfig INNER JOIN ( SELECT id, MAX(version) current_version FROM normalizedcomputeconfig GROUP BY id ) helper ON normalizedcomputeconfig.id = helper.id AND normalizedcomputeconfig.version = helper.current_version ) WHERE deletiontime > 0 AND TO_TIMESTAMP(deletiontime / 1000) < now() - interval '1 month' AND clusterassignment.entityId = normalizedcomputeconfig.id AND clusterassignment.clusterType = 'LABEL';
DELETE FROM groupcomputerelationshipconfig WHERE delete_time > 0 and TO_TIMESTAMP(delete_time / 1000) < now() - interval '1 month';
DELETE FROM normalizedcomputeconfig WHERE deletiontime > 0 and TO_TIMESTAMP(deletiontime / 1000) < now() - interval '1 month';
DELETE FROM normalizedgroupconfig WHERE deletiontime > 0 and TO_TIMESTAMP(deletiontime / 1000) < now() - interval '1 month';
DELETE FROM normalizeddomainconfig WHERE deletiontime > 0 and TO_TIMESTAMP(deletiontime / 1000) < now() - interval '1 month';
VACUUM groupcomputerelationshipconfig;
VACUUM normalizedcomputeconfig;
VACUUM normalizedgroupconfig;
VACUUM normalizeddomainconfig;
